Bug 92591 - Support for RFC 3676 ( format=flowed/fixed, delsp=yes/no )
Summary: Support for RFC 3676 ( format=flowed/fixed, delsp=yes/no )
Status: CONFIRMED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: Git (master)
Platform: unspecified Linux
: NOR wishlist with 569 votes (vote)
Target Milestone: ---
Assignee: Laurent Montel
URL:
Keywords:
: 80844 (view as bug list)
Depends on:
Blocks:
 
Reported: 2004-11-02 17:05 UTC by Jens
Modified: 2020-07-21 21:54 UTC (History)
12 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jens 2004-11-02 17:05:35 UTC
Version:           1.7.1 (using KDE 3.3.1, SuSE)
Compiler:          gcc version 3.3.3 (SuSE Linux)
OS:                Linux (i686) release 2.6.5-7.111-default

http://www.faqs.org/rfcs/rfc3676.html

describes a proposal on how to safely reformat text, preserving formatting and quoting characters. One of the clients that use this is Apple Mail. I don't know about others.

Would support for this this be hard to implement in KMail?

Thank you!
Comment 1 Jens 2005-01-11 15:19:00 UTC
Hello,

this is actually related to Bug 41926. (duplicate?)

Jens
Comment 2 Jens 2005-03-04 10:17:16 UTC
I have offered 10 EUR for the developer who fixes this bug at http://kontact.org/shopping/.
Comment 3 Ingo Klöcker 2005-05-16 16:11:24 UTC
*** Bug 80844 has been marked as a duplicate of this bug. ***
Comment 4 Jens 2006-01-04 19:37:44 UTC
KDE 3.5, and KMail 1.7.1 still does not have this feature. This is a bit annoying since it breaks up long URLs in KMail. Many mail clients use this feature, e.g. Apple's Mail, and most others can at least read and parse those mails correctly.
Comment 5 Jens 2006-01-04 20:09:26 UTC
Argh, that should have been KMail 1.9.1.
Comment 6 Joseph Koenige 2006-01-24 19:06:57 UTC
*** This bug has been confirmed by popular vote. ***
Comment 7 Richard Hartmann 2007-04-28 13:28:56 UTC
I agree that this is a _very_ useful feature.

As a user of both pine+vim and Kontact, I am very strict in my usage of textwidth 72 and would very much like to see this feature in all three of them (though that story does not belong here ;)
Comment 8 Richard Hartmann 2007-12-18 18:25:48 UTC
In light of the impeding KDE4 release, I am going through all bug reports I am involved in. To the best of my knowledge, this issue is still open.
Comment 9 Myriam Schweingruber 2012-08-18 08:46:59 UTC
Thank you for your feature request. Kmail1 is currently unmaintained so we are closing all wishes. Please feel free to reopen a feature request for Kmail2 if it has not already been implemented.
Thank you for your understanding.
Comment 10 Luigi Toscano 2012-08-19 00:47:38 UTC
Instead of creating a new feature request, please confirm here if the wishlist is still valid for kmail2.
Comment 11 Bernd Oliver Sünderhauf 2012-11-24 10:40:57 UTC
Seems to be a senseful proposal, especially for kmail with its plaintext-affine user base.
At least such messages should be readable. Is this still not the case in kmail2? Please enclose some testcase. Would be nice, if composer was able to use this standard, too, because broken links in emails are a frequent annoyance.

At least regarding the second part, but most probably completely valid for kmail2, component "general".

Some possible starting points:
- https://bugzilla.mozilla.org/show_bug.cgi?id=231701
- https://bugzilla.mozilla.org/show_bug.cgi?id=26734
- https://bugzilla.mozilla.org/show_bug.cgi?id=168420
- http://productforums.google.com/forum/#!topic/gmail/Z42NibAOzjc
Comment 12 Luigi Toscano 2012-11-24 16:46:44 UTC
(In reply to comment #11)
> At least such messages should be readable. Is this still not the case in
> kmail2? 
Apparently no references to delsp in the source code. Moving...
Comment 13 Luigi Toscano 2012-11-24 16:46:44 UTC
*** This bug has been confirmed by popular vote. ***
Comment 14 Torsten Grote 2014-01-30 15:31:28 UTC
Apparently, KMail still does not support format=flowed resulting in emails sent in this format by many other clients to be displayed garbled.
Comment 15 Juan Francisco 2015-11-30 03:39:14 UTC
Are you going to fix this bug someday?. Bug 41926 is 13 years old. format=flowed is essential these days to work with people who read the email in smartphones.
Comment 16 Erik Quaeghebeur 2017-10-19 10:13:05 UTC
Perhaps some inspiration can be got from the formatflowed Python package:

https://github.com/mjpieters/formatflowed/blob/master/formatflowed.py
Comment 17 John Scott 2020-07-21 21:54:28 UTC
In 2020, there's no reason to not be using soft line wrapping, as opposed to composing mails with non-semantic hard line breaks.